import { Entity, Column } from "typeorm";
import { BaseModel } from "../../frame/BaseModel";

@Entity('loginRecord', { comment: '登陆记录' })
export class LoginRecord extends BaseModel {

  @Column({ comment: '用户id' })
  user_id: number;
  @Column({ comment: 'token', nullable: true })
  token: string
  @Column({ comment: '最后使用时间', nullable: true })
  last_time: string
  @Column({ comment: '过期时间', nullable: true })
  expire_time: string
  @Column({ comment: '最后使用ip', nullable: true })
  last_ip: string
}