import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('config', { comment: '系统设置' })
export class Config extends BaseModel {
  @Column({ type: 'varchar', nullable: true, comment: '系统名称' })
  name: string;
  @Column({ type: 'json', nullable: true, comment: 'logo' })
  logo: any;
}
