import { MidwayError } from '@midwayjs/core';
import { get } from 'lodash';

export class ServiceError extends MidwayError {
  constructor(error: Object) {
    const errcode = get(error, 'code');
    const errmsg = get(error, 'msg');
    super(errcode);
    this.errcode = errcode;
    this.errmsg = errmsg;
  }
  errcode: string;
  errmsg: any;
}
