import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('dictData', { comment: '字典数据表' })
export class DictData extends BaseModel {
  @Column({ type: 'varchar', nullable: true, comment: '字典类型编码' })
  code: string;
  @Column({ type: 'varchar', nullable: true, comment: '数据显示值' })
  label: string;
  @Column({ type: 'varchar', nullable: true, comment: '数据选择值' })
  value: string;
  @Column({ type: 'int', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'varchar', default: '0', nullable: true, comment: '是否使用:0:使用;1禁用' })
  is_use: string;
}