import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Config } from '../../entity/system/config.entity';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';

@Provide()
export class ConfigService extends BaseService {
  @InjectEntityModel(Config)
  model: Repository<Config>;
  // 只允许有一个config
  async getConfig() {
    let data = await this.fetch({});
    if (!data) {
      await this.model.insert({ name: 'midwayjs+vue', logo: [] });
      data = await this.fetch({});
    }
    return data;
  }
}
